data { 
  int<lower=0> I;
  
  int<lower=0, upper=1> A[I];
  real<lower=0, upper=1> Score[I];
  int<lower=0> W[I];
  int<lower=0, upper=1> Y[I];
}

parameters {
  real b[3];
  real bw2;
  real bw3;
}

transformed parameters {
  real q[I];
  real bw[3];
  
  bw[1]=0;
  bw[2]=bw2;
  bw[3]=bw3;
  
  for(i in 1:I)
    q[i] = inv_logit(b[1] + b[2]*A[i] + b[3]*Score[i] + bw[W[i]]);
}

model {
  for(i in 1:I)
    Y[i] ~ bernoulli(q[i]);
}
