data{
  int N;
  int<lower=0, upper=1> A[N];
  real<lower=0, upper=1> Score[N];
  real<lower=0> M[N];
}

parameters{
  real b[3];
  real<lower=0> sigma;
}

transformed parameters{
  real mu[N];
  for(n in 1:N)
    mu[n] = (b[1] + b[2]*A[n] + b[3]*Score[n]);
}

model{
  for(n in 1:N)
    M[n] ~ normal(mu[n], sigma);
}

generated quantities{
  real m_pred[N];
  for(n in 1:N)
    m_pred[n] = normal_rng(mu[n], sigma);
}
